Skip to main content
PATCH
/
v1
/
team
/
client
/
{teamId}
/
subscription
Update a client team subscription
curl --request PATCH \
  --url https://api.wirespeed.co/v1/team/client/{teamId}/subscription \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "addOns": [],
  "skuStartDate": "<string>",
  "skuEndDate": "<string>",
  "isTrial": true
}
'
{
  "message": "<string>",
  "statusCode": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.wirespeed.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

The client team ID to update subscription for

Body

application/json
sku
enum<string>

Subscription SKU tier for the team

Available options:
identity,
adr
addOns
enum<string>[]

Active add-on SKUs for the team

Available options:
data
skuStartDate
string

Contract/subscription start date (ISO string)

skuEndDate
string

Contract/subscription end date (ISO string)

isTrial
boolean

Whether this team is a proof-of-value trial

Response